Subject: Re: [PATCH] dmasound_pmac depends on pmac specific config options

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 23 Oct 2005 09:00:22 +1000

On Sat, 2005-10-22 at 14:01 -0700, Brad Boyer wrote:
> On Sat, Oct 22, 2005 at 09:46:26PM +0200, Olaf Hering wrote:
> > 
> > dmasound_pmac should depend on pmac specific .config options.
> > Since PMAC is always defined, but PMAC wont boot without either
> > CUDA or PMU, one of these options indicates that the kernel is
> > for a PowerMac.
> > CONFIG_PM can be selected unconditionally.
> 
> I disagree. I think a much better solution would be to change the
> code to be conditionalized internally on PMU support, rather than
> having #ifdef CONFIG_PM since the functions being called inside
> that protection are actually out of the PMU code, not the generic
> power management system. By doing this, you could for example
> have a kernel compiled for a 1st gen PCI PowerMac without any
> extra drivers. In this case, you have CUDA and AWACS, but there
> is no PMU support and no need for sleep notifiers.

The fix is a longer term issue. dmasound should stop using PMU specific
PM notifiers and those should finally be deprecated. Taht would require
converting dmasound to be a proper macio device, which is a pain, and
while we are at it, finally rewriting dmasound (and/or snd-powermac)
properly which is on my todolist since nobody appears to be up to it.

Ben.